Index: code/branches/presentation2/data/gui/layouts/AudioMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/AudioMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/AudioMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.325,0},{0.8,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.2875,0},{0.8,0},{0.6375,0}}" />
             <Window Type="TaharezLook/StaticText" Name="orxonox/MasterVolume" >
                 <Property Name="Text" Value="Master volume               " />
@@ -22,5 +22,5 @@
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.2,0},{0.5625,0},{0.4,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.15,0},{0.5625,0},{0.3525,0}}" />
                 <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MasterScrollbar" >
                     <Property Name="PageSize" Value="0" />
@@ -49,5 +49,5 @@
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.45,0},{0.5625,0},{0.65,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.4335,0},{0.5625,0},{0.636,0}}" />
                 <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
                     <Property Name="PageSize" Value="0" />
@@ -76,5 +76,5 @@
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.7,0},{0.5625,0},{0.9,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.717,0},{0.5625,0},{0.9195,0}}" />
                 <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/EffectsScrollbar" >
                     <Property Name="PageSize" Value="0" />
@@ -103,13 +103,20 @@
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.2,0},{0.958333,0},{0.9,0}}" />
-                <Window Type="TaharezLook/Combobox" Name="orxonox/AudioThemeCombobox" >
-                    <Property Name="AlwaysOnTop" Value="True" />
+                <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.15,0},{0.958333,0},{0.636,0}}" />
+                <Window Type="TaharezLook/Listbox" Name="orxonox/AudioThemeListbox" >
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
-                    <Property Name="MaxEditTextLength" Value="1073741823" />
-                    <Property Name="ReadOnly" Value="True" />
-                    <Event Name="ListSelectionAccepted" Function="AudioMenu.AudioThemeCombobox_changed" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.225,0},{0.95,0},{0.92,0}}" />
+                    <Event Name="ItemSelectionChanged" Function="AudioMenu.AudioThemeListbox_changed" />
                 </Window>
+            </Window>
+            <Window Type="TaharezLook/StaticText" Name="orxonox/AudioInfo" >
+                <Property Name="Text" >Theme changes require
+a game restart.</Property>
+                <Property Name="TextColours" Value="FF4444FF" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.717,0},{0.958333,0},{0.9195,0}}" />
             </Window>
         </Window>
@@ -117,6 +124,6 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
-            <Event Name="Clicked" Function="AudioMenu.AudioBackButton_clicked"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event Name="Clicked" Function="AudioMenu.AudioBackButton_clicked" />
         </Window>
     </Window>
Index: code/branches/presentation2/data/gui/layouts/ControlsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/ControlsMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/ControlsMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/Button" Name="orxonox/MouseControlsButton" >
                 <Property Name="Text" Value="Mouse controls" />
@@ -32,5 +32,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="ControlsMenu.ControlsBackButton_clicked"/>
         </Window>
Index: code/branches/presentation2/data/gui/layouts/CreditsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/CreditsMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/CreditsMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsText" >
                 <Property Name="Text">Orxonox version 0.0.3
@@ -35,5 +35,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="CreditsMenu.CreditsBackButton_clicked"/>
         </Window>
Index: code/branches/presentation2/data/gui/layouts/DecisionPopup.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/DecisionPopup.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/DecisionPopup.layout	(revision 6334)
@@ -1,40 +1,79 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
+
+
 <GUILayout >
+
     <Window Type="DefaultWindow" Name="orxonox/DecisionPopup_RootWindow" >
+
         <Property Name="InheritsAlpha" Value="False" />
+
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
         <Window Type="TaharezLook/StaticImage" Name="orxonox/DecisionPopup_Background" >
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
             <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
             <Property Name="Alpha" Value="0.6" />
+
             <Window Type="TaharezLook/Button" Name="orxonox/DecisionPopup_button_yes" >
+
                 <Property Name="Font" Value="BlueHighway-12" />
+
                 <Property Name="Text" Value="Yes" />
+
                 <Property Name="Alpha" Value="0.7" />
-                <Property Name="InheritsAlpha" Value="False" /> 
+
+                <Property Name="InheritsAlpha" Value="False" />
+ 
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.3,0},{0.55,0},{0.45,0},{0.6,0}}" />
+
+                <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.5625,0},{0.4875,0},{0.6125,0}}" />
+
                 <Event Name="Clicked" Function="DecisionPopup.button_yes"/>
+
             </Window>
+
             <Window Type="TaharezLook/Button" Name="orxonox/DecisionPopup_button_no" >
+
                 <Property Name="Font" Value="BlueHighway-12" />
+
                 <Property Name="Text" Value="No" />
+
                 <Property Name="Alpha" Value="0.8" />
-                <Property Name="InheritsAlpha" Value="False" /> 
+
+                <Property Name="InheritsAlpha" Value="False" />
+ 
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.55,0},{0.7,0},{0.6,0}}" />
+
+                <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.5625,0},{0.7125,0},{0.6125,0}}" />
+
                 <Event Name="Clicked" Function="DecisionPopup.button_no"/>
+
             </Window>
+
             <Window Type="TaharezLook/StaticText" Name="orxonox/DecisionPopup_text" >
+
                 <Property Name="Text" Value="Template text" />
+
                 <Property Name="HorzFormatting" Value="WordWrapCentred" />
+
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.4,0},{0.8,0},{0.5,0}}" />
-                <Property Name="InheritsAlpha" Value="False" /> 
+
+                <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.4375,0},{0.75,0},{0.5375,0}}" />
+
+                <Property Name="InheritsAlpha" Value="False" />
+ 
                 <Property Name="Alpha" Value="0.8" />
+
             </Window>
+
         </Window>
+
     </Window>
+
 </GUILayout>
Index: code/branches/presentation2/data/gui/layouts/GameplayMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/GameplayMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/GameplayMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/StaticText" Name="orxonox/Difficulty" >
                 <Property Name="Text" Value="Difficulty" />
@@ -62,15 +62,6 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="GameplayMenu.GameplayBackButton_clicked"/>
-        </Window>
-        <Window Type="TaharezLook/StaticText" Name="orxonox/GameplayAvailable" >
-            <Property Name="Text" Value="Changes in gameplay settings are not yet available." />
-            <Property Name="TextColours" Value="FFFF0000" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.75,0},{0.75,0},{0.8,0}}" />
         </Window>
     </Window>
Index: code/branches/presentation2/data/gui/layouts/GraphicsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/GraphicsMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/GraphicsMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.25,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/StaticText" Name="orxonox/Resolution" >
                 <Property Name="Text" Value="Resolution" />
@@ -25,5 +25,5 @@
                 <Window Type="TaharezLook/Listbox" Name="orxonox/ResolutionListbox" >
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.95,0}}" />
                     <Event Name="ItemSelectionChanged" Function="GraphicsMenu.GraphicsResolutionListbox_changed"/>
                 </Window>
@@ -72,15 +72,6 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="GraphicsMenu.GraphicsBackButton_clicked"/>
-        </Window>
-        <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsAvailable" >
-            <Property Name="Text" Value="The brightness scrollbar is not yet available." />
-            <Property Name="TextColours" Value="FFFF0000" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.75,0},{0.75,0},{0.8,0}}" />
         </Window>
     </Window>
Index: code/branches/presentation2/data/gui/layouts/InGameMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/InGameMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/InGameMenu.layout	(revision 6334)
@@ -1,41 +1,81 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
+
+
 <GUILayout >
+
     <Window Type="DefaultWindow" Name="orxonox/InGameMenu_RootWindow" >
+
         <Property Name="InheritsAlpha" Value="False" />
+
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
         <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_ReturnButton" >
+
             <Property Name="Font" Value="BlueHighway-12" />
+
             <Property Name="Text" Value="Return to Game" />
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3,0},{0.6,0},{0.36,0}}" />
+
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
+
             <Property Name="Alpha" Value="0.7" />
+
             <Event Name="Clicked" Function="InGameMenu.button_return_clicked"/>
+
         </Window>
+
         <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_MainMenuButton" >
+
             <Property Name="Font" Value="BlueHighway-12" />
+
             <Property Name="Text" Value="Main Menu" />
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4,0},{0.6,0},{0.46,0}}" />
+
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4625,0},{0.6,0},{0.5125,0}}" />
+
             <Property Name="Alpha" Value="0.7" />
+
             <Event Name="Clicked" Function="InGameMenu.button_mainmenu_clicked"/>
+
         </Window>
+
         <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_SettingsButton" >
+
             <Property Name="Font" Value="BlueHighway-12" />
+
             <Property Name="Text" Value="Settings" />
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5,0},{0.6,0},{0.56,0}}" />
+
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5625,0},{0.6,0},{0.6125,0}}" />
+
             <Property Name="Alpha" Value="0.7" />
+
             <Event Name="Clicked" Function="InGameMenu.button_settings_clicked"/>
+
         </Window>
+
         <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_QuitButton" >
+
             <Property Name="Font" Value="BlueHighway-12" />
+
             <Property Name="Text" Value="Quit" />
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6,0},{0.6,0},{0.66,0}}" />
+
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+
             <Property Name="Alpha" Value="0.7" />
+
             <Event Name="Clicked" Function="InGameMenu.button_quit_clicked"/>
+
         </Window>
+
     </Window>
+
 </GUILayout>
Index: code/branches/presentation2/data/gui/layouts/InfoPopup.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/InfoPopup.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/InfoPopup.layout	(revision 6334)
@@ -1,31 +1,62 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
+
+
 <GUILayout >
+
     <Window Type="DefaultWindow" Name="orxonox/InfoPopup_RootWindow" >
+
         <Property Name="InheritsAlpha" Value="False" />
+
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
         <Window Type="TaharezLook/StaticImage" Name="orxonox/InfoPopup_Background" >
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
             <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
             <Property Name="Alpha" Value="0.7" />
+
             <Window Type="TaharezLook/Button" Name="orxonox/InfoPopup_close" >
+
                 <Property Name="Font" Value="BlueHighway-12" />
+
                 <Property Name="Text" Value="Close" />
+
                 <Property Name="Alpha" Value="0.7" />
-                <Property Name="InheritsAlpha" Value="False" /> 
+
+                <Property Name="InheritsAlpha" Value="False" />
+ 
+               <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
+                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5,0},{0.6,0},{0.55,0}}" />
+
+                <Event Name="Clicked" Function="InfoPopup.close"/>
+
+            </Window>
+
+            <Window Type="TaharezLook/StaticText" Name="orxonox/InfoPopup_text" >
+
+                <Property Name="Text" Value="Template text" />
+
+                <Property Name="TextColours" Value="FF4444FF" />
+                <Property Name="HorzFormatting" Value="WordWrapCentred" />
+
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.55,0},{0.6,0},{0.6,0}}" />
-                <Event Name="Clicked" Function="InfoPopup.close"/>
+
+                <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.375,0},{0.75,0},{0.475,0}}" />
+
+                <Property Name="InheritsAlpha" Value="False" />
+ 
+               <Property Name="Alpha" Value="0.8" />
+
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/InfoPopup_text" >
-                <Property Name="Text" Value="Template text" />
-                <Property Name="HorzFormatting" Value="WordWrapCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.4,0},{0.8,0},{0.5,0}}" />
-                <Property Name="InheritsAlpha" Value="False" /> 
-                <Property Name="Alpha" Value="0.8" />
-            </Window>
+
         </Window>
+
     </Window>
+
 </GUILayout>
Index: code/branches/presentation2/data/gui/layouts/KeyBindMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/KeyBindMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/KeyBindMenu.layout	(revision 6334)
@@ -1,43 +1,84 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
+
+
 <GUILayout >
+
     <Window Type="DefaultWindow" Name="orxonox/KeyBindMenu/Background" >
+
         <Property Name="InheritsAlpha" Value="False" />
+
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
         <Window Type="TaharezLook/StaticText" Name="orxonox/KeyBindWindow" >
+
             <Property Name="Text" Value="Keybindings" />
+
             <Property Name="Alpha" Value="0.8" />
+
             <Property Name="InheritsAlpha" Value="False" />
+
             <Property Name="HorzFormatting" Value="HorzCentred" />
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.1,0},{0.9,0},{0.8,0}}" />
+
+            <Property Name="UnifiedAreaRect" Value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
+
             <Window Type="TaharezLook/StaticText" Name="orxonox/KeyBindWrapper" >
+
                 <Property Name="TextColours" Value="FF4444FF" />
+
                 <Property Name="InheritsAlpha" Value="False" />
+
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
                 <Property Name="HorzFormatting" Value="HorzCentred" />
+
                 <Property Name="VertFormatting" Value="TopAligned" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.1,0},{0.95,0},{0.95,0}}" />
+
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
+
                 <Window Type="TaharezLook/ScrollablePane" Name="orxonox/KeyBindPane" >
+
                     <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
+
                     <Property Name="HorzStepSize" Value="0.1" />
+
                     <Property Name="VertStepSize" Value="0.1" />
+
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+
                     <Property Name="HorzOverlapSize" Value="0.01" />
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+
+                    <Property Name="UnifiedAreaRect" Value="{{0.005,0},{0.01,0},{0.995,0},{0.99,0}}" />
+
                     <Property Name="VertOverlapSize" Value="0.01" />
+
                     <Property Name="HorzScrollPosition" Value="0" />
+
                     <Property Name="VertScrollPosition" Value="0" />
+
                 </Window>
+
             </Window>
+
         </Window>
+
         <Window Type="TaharezLook/Button" Name="orxonox/KeyBindBackButton" >
             <Property Name="Text" Value="Back" />
+
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.825,0},{0.6,0},{0.875,0}}" />
+
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+
             <Event Name="Clicked" Function="KeyBindMenu.KeyBindBackButton_clicked"/>
+
         </Window>
+
     </Window>
+
 </GUILayout>
Index: code/branches/presentation2/data/gui/layouts/KeyboardControlsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/KeyboardControlsMenu.layout	(revision 6324)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/KeyboardControlsBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/KeyboardControlsWindow" >
-            <Property Name="Text" Value="Keyboard controls" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/KeyboardLeftWindow" >
-                <Property Name="Text" >Move forward
-Move backward
-Move left
-Move right
-Move up
-Move down</Property>
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
-            </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/KeyboardRightWindow" >
-                <Property Name="Text" >Rotate left
-Rotate right
-Shoot mode 1
-Shoot mode 2
-Zoom in/out</Property>
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
-            </Window>
-        </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/KeyboardControlsBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
-            <Event Name="Clicked" Function="KeyboardControlsMenu.KeyboardControlsBackButton_clicked"/>
-        </Window>
-        <Window Type="TaharezLook/StaticText" Name="orxonox/KeyboardControlsAvailable" >
-            <Property Name="Text" Value="The keyboard menu is not yet available." />
-            <Property Name="TextColours" Value="FFFF0000" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.75,0},{0.75,0},{0.8,0}}" />
-        </Window>
-    </Window>
-</GUILayout>
Index: code/branches/presentation2/data/gui/layouts/MainMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/MainMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/MainMenu.layout	(revision 6334)
@@ -11,5 +11,5 @@
             <Property Name="Text" Value="Quickstart" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.25,0},{0.6,0},{0.3,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
             <Event Name="Clicked" Function="MainMenu.QuickGameTestButton_clicked"/>
         </Window>
@@ -17,5 +17,5 @@
             <Property Name="Text" Value="Singleplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.325,0},{0.6,0},{0.375,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
             <Event Name="Clicked" Function="MainMenu.SingleplayerButton_clicked"/>
         </Window>
@@ -23,5 +23,5 @@
             <Property Name="Text" Value="Multiplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4,0},{0.6,0},{0.45,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
             <Event Name="Clicked" Function="MainMenu.MultiplayerButton_clicked"/>
         </Window>
@@ -29,5 +29,5 @@
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.475,0},{0.6,0},{0.525,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
             <Event Name="Clicked" Function="MainMenu.SettingsButton_clicked"/>
         </Window>
@@ -35,5 +35,5 @@
             <Property Name="Text" Value="Credits" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.55,0},{0.6,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5875,0},{0.6,0},{0.6375,0}}" />
             <Event Name="Clicked" Function="MainMenu.CreditsButton_clicked"/>
         </Window>
@@ -41,5 +41,5 @@
             <Property Name="Text" Value="Exit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="MainMenu.ExitButton_clicked"/>
         </Window>
Index: code/branches/presentation2/data/gui/layouts/MouseControlsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/MouseControlsMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/MouseControlsMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/StaticText" Name="orxonox/MouseNormalSensitivity" >
                 <Property Name="Text" Value="Sensitivity (normal mode)                                      " />
@@ -81,15 +81,6 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="MouseControlsMenu.MouseControlsBackButton_clicked"/>
-        </Window>
-        <Window Type="TaharezLook/StaticText" Name="orxonox/MouseControlsAvailable" >
-            <Property Name="Text" Value="The invert mouse button is not yet available." />
-            <Property Name="TextColours" Value="FFFF0000" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.75,0},{0.75,0},{0.8,0}}" />
         </Window>
     </Window>
Index: code/branches/presentation2/data/gui/layouts/MultiplayerMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/MultiplayerMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/MultiplayerMenu.layout	(revision 6334)
@@ -15,8 +15,8 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/Listbox" Name="orxonox/MultiplayerLevelListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.8,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.8,0}}" />
             </Window>
             <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerJoinButton" >
@@ -42,5 +42,5 @@
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.625,0},{0.4875,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerStartButton_clicked"/>
         </Window>
@@ -48,5 +48,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.625,0},{0.7125,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerBackButton_clicked"/>
         </Window>
Index: code/branches/presentation2/data/gui/layouts/MultiplayerOptionsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/MultiplayerOptionsMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/MultiplayerOptionsMenu.layout	(revision 6334)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
         </Window>
         <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerOptionsBackButton" >
@@ -23,13 +23,4 @@
             <Event Name="Clicked" Function="MultiplayerOptionsMenu.MultiplayerOptionsBackButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/StaticText" Name="orxonox/MultiplayerOptionsAvailable" >
-            <Property Name="Text" Value="The multiplayer options menu is not yet available." />
-            <Property Name="TextColours" Value="FFFF0000" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.75,0},{0.75,0},{0.8,0}}" />
-        </Window>
     </Window>
 </GUILayout>
Index: code/branches/presentation2/data/gui/layouts/SettingsMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/SettingsMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/SettingsMenu.layout	(revision 6334)
@@ -8,5 +8,4 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-
         <Window Type="TaharezLook/StaticText" Name="orxonox/SettingsWindow" >
             <Property Name="Text" Value="Settings" />
@@ -16,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/Button" Name="orxonox/GameplayButton" >
                 <Property Name="Text" Value="Gameplay" />
@@ -60,5 +59,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="SettingsMenu.SettingsBackButton_clicked"/>
         </Window>
Index: code/branches/presentation2/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- code/branches/presentation2/data/gui/layouts/SingleplayerMenu.layout	(revision 6324)
+++ code/branches/presentation2/data/gui/layouts/SingleplayerMenu.layout	(revision 6334)
@@ -15,8 +15,8 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
             <Window Type="TaharezLook/Listbox" Name="orxonox/SingleplayerLevelListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.9,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
             </Window>
         </Window>
@@ -24,5 +24,5 @@
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.625,0},{0.4875,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerStartButton_clicked"/>
         </Window>
@@ -30,5 +30,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.625,0},{0.7125,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerBackButton_clicked"/>
         </Window>
